Skip to content
Dashboard
Theme
Theme

Profile for a confined compatibility access token

GET /sso/profile: Profile for a confined compatibility access token.

View Markdown

GET /sso/profile

Requires current deployment and environment compatibility gates and a live publishable client key. Native access tokens and grants are refused.

Scope
sso:profile
Auth
Access token
Since
1.0

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/sso/profile" \
-H "Authorization: Bearer $OHAUTHCAT_ACCESS_TOKEN"
Response 200
{
"id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "profile",
"connection_id": "conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"connection_type": "GenericSAML",
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"idp_id": "0oa1b2c3d4E5F6g7h8i9",
"email": "jane@acme.com",
"first_name": "Jane",
"last_name": "Doe",
"name": "Acme Corp",
"role": {
"slug": "acme"
},
"roles": [
{
"slug": "acme"
}
],
"groups": [
"Engineering"
],
"custom_attributes": {},
"raw_attributes": {}
}